diff --git a/src/ps2port.c b/src/ps2port.c
index 58335af..571882c 100644
--- a/src/ps2port.c
+++ b/src/ps2port.c
@@ -133,6 +133,8 @@ void
 i8042_reboot(void)
 {
     int i;
+    if (!CONFIG_PS2PORT)
+	return;
     for (i=0; i<10; i++) {
         i8042_wait_write();
         udelay(50);
diff --git a/src/smp.c b/src/smp.c
index 8c077a1..a284996 100644
--- a/src/smp.c
+++ b/src/smp.c
@@ -76,7 +76,7 @@ smp_probe(void)
     cpuid(1, &eax, &ebx, &ecx, &cpuid_features);
     if (eax < 1 || !(cpuid_features & CPUID_APIC)) {
         // No apic - only the main cpu is present.
-        dprintf(1, "No apic - only the main cpu is present.\n");
+        dprintf(3, "No apic - only the main cpu is present.\n");
         CountCPUs= 1;
         MaxCountCPUs = 1;
         return;
@@ -126,6 +126,6 @@ smp_probe(void)
     if (!MaxCountCPUs || MaxCountCPUs < CountCPUs)
         MaxCountCPUs = CountCPUs;
 
-    dprintf(1, "Found %d cpu(s) max supported %d cpu(s)\n", readl(&CountCPUs),
+    dprintf(3, "Found %d cpu(s) max supported %d cpu(s)\n", readl(&CountCPUs),
         MaxCountCPUs);
 }
diff --git a/src/stacks.c b/src/stacks.c
index 17f1a4a..a250eff 100644
--- a/src/stacks.c
+++ b/src/stacks.c
@@ -245,7 +245,7 @@ __end_thread(struct thread_info *old)
     free(old);
     dprintf(DEBUG_thread, "\\%08x/ End thread\n", (u32)old);
     if (MainThread.next == &MainThread)
-        dprintf(1, "All threads complete.\n");
+        dprintf(3, "All threads complete.\n");
 }
 
 // Create a new thread and start executing 'func' in it.

